### Function

# Gtk.Requisition.new

#### Declaration [src]

    GtkRequisition*
    gtk_requisition_new (
      void
    )

#### Description [src]

Allocates a new `GtkRequisition`.

The struct is initialized to zero.

#### Return value

Returns: `GtkRequisition`
a new empty `GtkRequisition`. The newly allocated `GtkRequisition` should be freed with `gtk_requisition_free()`
Ownership of the data is transferred to the caller